%define _legacy_common_support 1
Name:		dns2tcp
Version:	0.5.2
Release:	%mkrel 10
Summary:	Tunnel TCP over DNS
Group:		Networking/Other
License:	GPLv2+
URL:		http://www.hsc.fr/ressources/outils/dns2tcp/
Source0:	http://www.hsc.fr/ressources/outils/dns2tcp/download/%{name}-%{version}.tar.gz
Source1: 	dns2tcpd.init
Source2: 	dns2tcpd.conf
Source3: 	dns2tcpc.init
Source4: 	dns2tcpc.conf
BuildRequires:  pkgconfig(openssl)

%description
Dns2tcp is a tool for relaying TCP connections over DNS. There is no
authentications nor encryption mecanisms : DNS encapsulation must be
considered as an unsecure and anonymous transport layer. Ressources should
be public external services like ssh, ssltunnel ...

%package	client
Summary:	dns2tcp client (Tunnel TCP over DNS)
Group:		Networking/Other

%description	client
Dns2tcp is a tool for relaying TCP connections over DNS. There is no
authentications nor encryption mecanisms : DNS encapsulation must be
considered as an unsecure and anonymous transport layer. Ressources should
be public external services like ssh, ssltunnel ...

This package contains the client part.

%package	server
Summary:	dns2tcp server (Tunnel TCP over DNS)
Group:		Networking/Other

%description	server
Dns2tcp is a tool for relaying TCP connections over DNS. There is no
authentications nor encryption mecanisms : DNS encapsulation must be
considered as an unsecure and anonymous transport layer. Ressources should
be public external services like ssh, ssltunnel ...

This package contains the server part.

%prep
%setup -q

%build
# fix build on aarch64
autoreconf -vfi

%configure
%make_build

%install
%makeinstall
mkdir -p %{buildroot}/%_initrddir/
mkdir -p %{buildroot}/%_sysconfdir/
install -m 0755 %SOURCE1 %{buildroot}/%_initrddir/dns2tcpd
install -m 0755 %SOURCE2 %{buildroot}/%_sysconfdir/dns2tcpd.conf
install -m 0755 %SOURCE3 %{buildroot}/%_initrddir/dns2tcpc
install -m 0755 %SOURCE4 %{buildroot}/%_sysconfdir/dns2tcpc.conf

%post server
%_post_service dns2tcpd
%preun server
%_preun_service dns2tcpd

%post client
%_post_service dns2tcpc
%preun client
%_preun_service dns2tcpc

%files server
%doc README COPYING ChangeLog
%{_bindir}/dns2tcpd
%{_initrddir}/dns2tcpd
%config(noreplace) %{_sysconfdir}/dns2tcpd.conf
%{_mandir}/man1/dns2tcpd.1.*

%files client
%doc README COPYING ChangeLog
%{_bindir}/dns2tcpc
%{_initrddir}/dns2tcpc
%config(noreplace) %{_sysconfdir}/dns2tcpc.conf
%{_mandir}/man1/dns2tcpc.1.*





%changelog
* Wed Aug 05 2020 joequant <joequant> 0.5.2-10.mga8
+ Revision: 1611167
- update
- fix common

* Thu Feb 13 2020 umeabot <umeabot> 0.5.2-9.mga8
+ Revision: 1511865
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 0.5.2-8.mga7
+ Revision: 1297472
- Mageia 7 Mass Rebuild

* Tue Jun 05 2018 wally <wally> 0.5.2-7.mga7
+ Revision: 1234829
- fix build on aarch64

* Thu Feb 04 2016 umeabot <umeabot> 0.5.2-6.mga6
+ Revision: 935719
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.5.2-5.mga5
+ Revision: 739925
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.5.2-4.mga5
+ Revision: 678776
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.5.2-3.mga4
+ Revision: 503904
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 0.5.2-2.mga3
+ Revision: 348900
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Sep 18 2011 pterjan <pterjan> 0.5.2-1.mga2
+ Revision: 145216
- imported package dns2tcp

